# Uses of Class
it.tdlight.jni.TdApi.StoryArea

## Uses of TdApi.StoryArea in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.StoryArea
Modifier and Type
Field
Description
`TdApi.StoryArea[]`
TdApi.Story.`areas`
Clickable areas to be shown on the story content.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryArea
Modifier
Constructor
Description
``
`Story(int id, long senderChatId, TdApi.MessageSender senderId, int date, boolean isBeingSent, boolean isBeingEdited, boolean isEdited, boolean isPinned, boolean isVisibleOnlyForSelf, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canToggleIsPinned, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption)`
Represents a story.